当前位置:论坛首页 > Linux面板 > 求助

【已完成】php7.3没有zip扩展,且重装7.3之后,phpmyadmin无法...

发表在 Linux面板2023-3-22 16:22 [复制链接] 17 5819

本帖最后由 堡塔运维香菜卷 于 2023-3-24 21:10 编辑

php7.3 没有zip扩展,重装7.3之后也没有zip扩展,/www/server/php/73/src/ext/zip 存在zip文件夹以及内容。且重装php7.3之后,phpmyadmin打开显示405 Not Allowed
使用道具 举报 只看该作者 回复
发表于 2023-3-23 15:58:56 | 显示全部楼层
河妖 发表于 2023-3-23 14:58
您好  在centos7系统 aarch64架构下 php-7.3+版本不支持zip扩展
如果您是新安装的系统的话建议重装使用debi ...

好的,谢谢
使用道具 举报 回复 支持 反对
发表于 2023-3-23 14:58:40 | 显示全部楼层
您好  在centos7系统 aarch64架构下 php-7.3+版本不支持zip扩展
如果您是新安装的系统的话建议重装使用debian11或者ubuntu22是支持的
使用道具 举报 回复 支持 反对
发表于 2023-3-23 08:43:09 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 18:08
那应该是还缺少这个libzip5的组件,您在终端中执行下面的命令安装,安装完成再重装php看看有没有扩展,下 ...

您好,我看了论坛有关说明,我打印出了这个,您看下对您的有帮助吗? 333333333333.png
使用道具 举报 回复 支持 反对
发表于 2023-3-23 08:41:11 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 18:08
那应该是还缺少这个libzip5的组件,您在终端中执行下面的命令安装,安装完成再重装php看看有没有扩展,下 ...

333333333333.png ,您好,我看了论坛其他内容,还是不知道如何安装,打印了一个这个,您看有空么
使用道具 举报 回复 支持 反对
发表于 2023-3-22 21:21:51 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 18:08
那应该是还缺少这个libzip5的组件,您在终端中执行下面的命令安装,安装完成再重装php看看有没有扩展,下 ...

您好,我重新直接执行安装,发现出现的是这个 2222222222.png
使用道具 举报 回复 支持 反对
发表于 2023-3-22 20:55:03 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 18:08
那应该是还缺少这个libzip5的组件,您在终端中执行下面的命令安装,安装完成再重装php看看有没有扩展,下 ...

111111.png ,我在这儿开启的终端,安装的
使用道具 举报 回复 支持 反对
发表于 2023-3-22 20:53:04 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 18:08
那应该是还缺少这个libzip5的组件,您在终端中执行下面的命令安装,安装完成再重装php看看有没有扩展,下 ...

您好,我按照代码安装了一次,重装php,重启了面板,但还是没得zip扩展
使用道具 举报 回复 支持 反对
发表于 2023-3-22 18:08:32 | 显示全部楼层
本帖最后由 堡塔运维小林 于 2023-3-22 18:12 编辑
宝塔用户_lpkbmx 发表于 2023-3-22 18:05
您好,我重装了php也没有zip扩展

那应该是还缺少这个libzip5的组件,您在终端中执行下面的命令安装,安装完成再重装php看看有没有扩展,下面命令中的${el}是您操作系统的发行版本,比如你是centos 7的系统就改成7
  1. wget -O libzip5-1.5.2.rpm https://download.bt.cn/rpm/remi/${el}/libzip5-1.5.2.rpm
  2. wget -O libzip5-devel-1.5.2.rpm https://download.bt.cn/rpm/remi/${el}/libzip5-devel-1.5.2.rpm
  3. wget -O libzip5-tools-1.5.2.rpm https://download.bt.cn/rpm/remi/${el}/libzip5-tools-1.5.2.rpm
  4. yum install * -y
复制代码
使用道具 举报 回复 支持 反对
发表于 2023-3-22 18:05:34 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 17:52
您好,您需要重新安装一下PHP才行哦

您好,我重装了php也没有zip扩展
使用道具 举报 回复 支持 反对
发表于 2023-3-22 17:52:24 | 显示全部楼层
宝塔用户_lpkbmx 发表于 2023-3-22 17:39
,这个装好了,phpinfo里面还是没有zip扩展

您好,您需要重新安装一下PHP才行哦
使用道具 举报 回复 支持 反对
发表于 2023-3-22 17:39:10 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 17:35
您复制下面的命令到终端中执行,查看系统有没有这个libzip依赖

如果没有这个依赖,执行下面的命令安装依 ...

,这个装好了,phpinfo里面还是没有zip扩展
使用道具 举报 回复 支持 反对
发表于 2023-3-22 17:35:39 | 显示全部楼层
宝塔用户_lpkbmx 发表于 2023-3-22 17:30
您好,无痕访问也没有zip扩展

您复制下面的命令到终端中执行,查看系统有没有这个libzip依赖
  1. rpm -qa | grep libzip
复制代码

如果没有这个依赖,执行下面的命令安装依赖,再去看看php有没有zip扩展
  1. sudo yum install libzip-devel
复制代码
使用道具 举报 回复 支持 反对
发表于 2023-3-22 17:30:52 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 17:28
面板上还是不显示zip模块?用无痕浏览器访问试试

您好,无痕访问也没有zip扩展
使用道具 举报 回复 支持 反对
发表于 2023-3-22 17:28:09 | 显示全部楼层
宝塔用户_lpkbmx 发表于 2023-3-22 17:26
您好,我重载配重,重启了还是没有

面板上还是不显示zip模块?用无痕浏览器访问试试
使用道具 举报 回复 支持 反对
发表于 2023-3-22 17:26:45 | 显示全部楼层
堡塔运维小林 发表于 2023-3-22 17:18
您好,您在这个文件/www/server/php/73/etc/php.ini 里面添加extension = zip.so 这个,用于添加扩展的, ...

您好,我重载配重,重启了还是没有
使用道具 举报 回复 支持 反对
12下一页
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

企业版年付运维跟进群

普通问题处理

论坛响应时间:72小时

问题处理方式:排队(仅解答)

工作时间:白班:9:00 - 18:00

紧急问题处理

论坛响应时间:10分钟

问题处理方式:1对1处理(优先)

工作时间:白班:9:00 - 18:00

工作时间:晚班:18:00 - 24:00

立即付费处理

工作时间:09:00至24:00

快速回复 返回顶部 返回列表